// Package v1 provides migration for mongo repository
package v1

import (
	"context"
	"time"

	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
	"go.mongodb.org/mongo-driver/bson/primitive"
	"go.mongodb.org/mongo-driver/mongo"
)

// ExtraServiceModel v1 model version
type ExtraServiceModel struct {
	Created     time.Time            `bson:"created"`
	Updated     time.Time            `bson:"updated"`
	Code        string               `bson:"code"`
	Description string               `bson:"description"`
	Price       float64              `bson:"price"`
	ID          primitive.ObjectID   `bson:"_id"`
	Type        extras.ServiceType   `bson:"type"`
	Role        extras.ServiceRole   `bson:"role"`
	Status      extras.ServiceStatus `bson:"status"`
	Primary     bool                 `bson:"primary"`
}

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	return -1, nil
}
