// Package v10 provides migration for mongo repository
package v10

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up changes deprecated role fields
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	_, err := col.UpdateMany(ctx, bson.M{"role": 3}, bson.M{
		"$set": bson.M{
			"role": 4,
		},
	})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
