// Package v12 provides migration for mongo repository
package v12

import (
	"context"

	"go.mongodb.org/mongo-driver/mongo/options"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	_, err := db.Collection("document_types").Indexes().CreateOne(ctx, mongo.IndexModel{
		Keys: bson.D{
			{Key: "code", Value: 1},
		},
		Options: options.Index().SetUnique(true),
	})

	return -1, err
}
