// Package v17 provides migration for mongo repository
package v17

import (
	"context"

	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	_, err := col.UpdateMany(
		ctx,
		bson.M{"code": bson.M{"$in": bson.A{
			extras.ProductLandlordEICReport,
			extras.ProductLandlordEPCCertificate,
			extras.ProductLandlordGasCertificate,
			extras.ProductLandlordGasSafetyBoilerService,
			extras.ProductLandlordPhotographsFloorPlan,
			extras.ProductLandlordInventory,
			extras.ProductLandlordInventoryCheckIn,
			extras.ProductLandlordInventoryCheckOut,
		}}},
		bson.M{"$set": bson.M{"reference_provider": extras.ProviderMuuv}},
	)
	if err != nil {
		return -1, err
	}

	return -1, nil
}
