// Package v22 provides migration for mongo repository
package v23

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"

	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (res int, err error) {
	col := db.Collection("extras")

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_gas_certificate"},
		bson.M{"$set": bson.M{"price": 77.5}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_gas_certificate"},
		bson.M{"$set": bson.M{"tax": 15.5}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_gas_safety_boiler_service"},
		bson.M{"$set": bson.M{"price": 165.83}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_gas_safety_boiler_service"},
		bson.M{"$set": bson.M{"tax": 33.17}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_eic_report"},
		bson.M{"$set": bson.M{"price": 221.67}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_eic_report"},
		bson.M{"$set": bson.M{"tax": 44.33}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_photographs_floor_plans"},
		bson.M{"$set": bson.M{"price": 83.0}})
	if err != nil {
		return -1, err
	}

	_, err = col.UpdateOne(ctx,
		bson.M{"code": "landlord_photographs_floor_plans"},
		bson.M{"$set": bson.M{"tax": 17.0}})
	if err != nil {
		return -1, err
	}

	return -1, nil
}
