// Package v4 provides migration for mongo repository
package v4

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"

	"gitlab.mashroom.com/mashroom/backend/common/generic/log"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	col := db.Collection("extras")

	res, err := col.UpdateMany(ctx, bson.M{}, bson.M{
		"$set": bson.M{
			"title": "$description",
		},
	})
	if err != nil {
		log.WithError(err).Errorf("description -> title migration error")
		return -1, err
	}

	log.Infof("description -> title updated: %d", res.ModifiedCount)

	res, err = col.UpdateMany(ctx, bson.M{}, bson.M{
		"$set": bson.M{
			"description": "$learn_more",
		},
	})
	if err != nil {
		log.WithError(err).Errorf("learn_more -> description migration error")
		return -1, err
	}

	log.Infof("learn_more -> description updated: %d", res.ModifiedCount)

	return -1, updateData(ctx, col)
}
