package test

import (
	"github.com/golang/mock/gomock"
	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
	"gitlab.mashroom.com/mashroom/backend/extras/internal/model"
)

func (s *serviceSuite) TestExtrasGetByCode_ok() {
	m := extras.GetByCodeRequest{
		Code: "hello",
	}

	s.repo.EXPECT().ServiceGetByCode(s.testCtx, gomock.Any()).Return(&model.Service{
		Code:               "tenant_deposit",
		PriceNeedCalculate: true,
		Type:               extras.ServiceType_DEPOSIT,
	}, nil)

	resp, err := s.srv.GetByCode(s.testCtx, &m)

	s.Require().NoError(err)

	s.Require().NotEmpty(resp)
}

func (s *serviceSuite) TestExtrasGetByCode_err() {
	m := extras.GetByCodeRequest{
		Code: "",
	}

	resp, err := s.srv.GetByCode(s.testCtx, &m)

	s.Require().Error(err)

	s.Require().Empty(resp)
}
