package test

import (
	"github.com/golang/mock/gomock"
	extras "gitlab.mashroom.com/mashroom/backend/extras/api"
	"gitlab.mashroom.com/mashroom/backend/extras/internal/model"
	property "gitlab.mashroom.com/mashroom/backend/property/api"
)

func (s *serviceSuite) TestExtrasList_ok() {
	m := extras.ListRequest{
		Property: &extras.Property{
			Id:     "",
			Rental: &property.PropertyRental{},
			Conditions: &extras.Conditions{
				Price: 100,
			},
		},
		Role: extras.ServiceRole_LANDLORD_CLAIM,
	}

	s.repo.EXPECT().ServicesList(s.testCtx, gomock.Any()).Return([]*model.Service{
		{
			Code:               "tenant_deposit",
			PriceNeedCalculate: true,
			Type:               extras.ServiceType_DEPOSIT,
		},
	}, nil)

	resp, err := s.srv.List(s.testCtx, &m)

	s.Require().NoError(err)

	s.Require().NotEmpty(resp)
}
